Bug 25022 - Display problem in authority editor with repeatable field
Summary: Display problem in authority editor with repeatable field
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-31 12:20 UTC by Marcel de Rooy
Modified: 2020-05-11 19:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Screenshot authority editor (227.86 KB, image/jpeg)
2020-03-31 12:21 UTC, Marcel de Rooy
Details
Bug 25022: Display problem in authority editor with repeatable field (2.30 KB, patch)
2020-03-31 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25022: Display problem in authority editor with repeatable field (2.40 KB, patch)
2020-04-01 12:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-03-31 12:20:28 UTC
See attached image. I open an authority record with two 024 fields (that do not have a $a subfield btw). The second field is not displayed correctly. Looks like the unordered list is not closed or so?
On current master (writing this 31-03).
Comment 1 Marcel de Rooy 2020-03-31 12:21:20 UTC
Created attachment 102125 [details]
Screenshot authority editor
Comment 2 Marcel de Rooy 2020-03-31 12:25:47 UTC
Owen, any idea ?
Comment 3 Marcel de Rooy 2020-03-31 12:30:03 UTC
Also comes up with 014 and using $a.
So no specific issue with 024 or not using $a.
Comment 4 Owen Leonard 2020-03-31 14:43:12 UTC
Created attachment 102143 [details] [review]
Bug 25022: Display problem in authority editor with repeatable field

This patch corrects an error in the structure of the authority editor
template so that repeating subfields do not generate invalid markup. The
correction was found by comparing with addbiblio.tt.

If you are viewing the diff, please note that some minor whitespace
changes have been made.

To reproduce, clone and and populate any repeatable subfield, save, and
open the authority for editing again. The clones subfield will be
formatting incorrectly, showing bullet points on each line.

To test, apply the patch and reload the authority editor showing the
record with the cloned subfield. It should display correctly.
Comment 5 Marcel de Rooy 2020-04-01 12:13:24 UTC
Created attachment 102215 [details] [review]
Bug 25022: Display problem in authority editor with repeatable field

This patch corrects an error in the structure of the authority editor
template so that repeating subfields do not generate invalid markup. The
correction was found by comparing with addbiblio.tt.

If you are viewing the diff, please note that some minor whitespace
changes have been made.

To reproduce, clone and and populate any repeatable subfield, save, and
open the authority for editing again. The clones subfield will be
formatting incorrectly, showing bullet points on each line.

To test, apply the patch and reload the authority editor showing the
record with the cloned subfield. It should display correctly.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2020-04-01 12:14:40 UTC
Thanks Owen!
Taking this to PQA right away. Small template correction.
Comment 7 Martin Renvoize 2020-04-03 13:24:50 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-04-28 21:43:18 UTC
backported to 19.11.x branch for 19.11.06
Comment 9 Lucas Gass 2020-05-11 19:48:47 UTC
backported to 19.05.x for 19.05.11